
11-29-2008
Redoing chat frame stuff to unbreak w/e broke from main Mod updates. -- cl_chat.lua, cl_settings.lua

11-3-2008
A merge lost the cl_radioMenu, reincluded and committed changes. -- init.lua
Set paper doll scaling -- cl_paperDoll.lua
more dynamic faction work -- dynamicFactions.lua
beefed up take/give item security for on the 1 in a million chance someone discovers the concommands -- search.lua, player_util.lua
added default player faction fields to player save data -- Loading.lua
ok too sleepy to do more -- i.am.teh.sleepz

11-2-2008
Added chat font size setting, requires client reconnect to set in. -- cl_chat.lua, cl_settings.lua
Fixed a bunch of male animations, my finger for pressing the increment animation additive finger is tired. -- animations.lua

10-31-2008
Added that when props are removed, the items inside are spawned. -- propSaving.lua
Fixed the search menu not deleting properly on refresh. -- cl_search.lua

10-30-2008
Yammered at milk till he made the seams on paper doll models have bleed out radial fades. it purdy! -- cl_paperDoll.lua
Added clientside option for drawing the paper doll -- cl_settings.lua
Yammered at Sila till he told me something to add, dynamic runtime factions here we go @.@ -- me.hopefully.won't.cry.sick.of.menus.and.vgui

10-29-2008
clientside drawing of a paper doll -- cl_paperDoll.lua
added material resources for paper doll -- resources.lua
hooked ScalePlayerDamage for sending to the client what got hit and how hard. -- GMcommands.lua
added a usmg send on player respawn to reset the doll -- init.lua
Differentiates and uses a different paperdoll model for female models, model must have "female" somewhere in the model path. -- cl_paperDoll.lua
Added GM:PlayerTraceAttack, copied GMod default, and added a line, hooking ScalePlayerDamage wasn't working, it gets called by this, did it directly. -- GMcommands.lua

10-28-2008
Implementing new material/texture HUD elements thanks to milk. -- cl_hud.lua
Added another security check to try to prevent player data loading errors. -- concommand.lua
Redid the first char selection menu to make it more reload bad data friendly, also made it a standalone menu for first connection to help reduce possible errors. -- cl_charactercreate.lua, concommand.lua
Oops, already had the code for delaying health regen in, just never changed the value. Hooked it to PlayerDamage as it should have been. -- GMcommands.lua
Reduced health regen rate from 3 to 1. -- util.lua
Attempt to improve the body decay from dead bodies by making new ragdolls rather than changing models to prevent the crazy model glitches,flying,and spazzing. -- player_util.lua
Setup radio system, item, vgui, channels, chatting, etc. -- cl_radioMenu, /items/radio.lua, concmd.lua, items.lua
added a table of doNotTake for items to not remove from inventory when used, added "radio" item.class name standard. -- items.lua
Added clientside saving of clientside configuration settings. -- cl_settings.lua
Added clientside option for chat frame font, options of DefaultBold or ChatFont. -- cl_settings.lua, cl_chat.lua
Added client/server option/interaction for if the player wants regen on or not. -- cl_settings.lua, concommand.lua, util.lua
Added that death ragdolls freeze 3 seconds after each creation. -- player_util.lua

10-24-2008
Finished polishing the prop saving system. Now adds undos for your props on reconnect, which also will decrement your prop count. -- propSaving.lua
Moved the char loading items to a concommand call that the client calls once when its ready. Should make it more robust/stable -- init.lua, cl_init.lua, concmd.lua
Moved around the chatFrame creation and open/close calls to make it work with the new arrangement and hopefully fix that chat frame really small before opened bug. -- cl_init.lua, cl_playermenu.lua, init.lua
Minor corrections to if logic of music. -- music.lua
Copied garrys mod prop spawning code so that I could edit the undos to work with the new counting system. -- GMcommands.lua
Finished polishing the prop saving I believe, now adds undos when you connect. -- propSaving.lua

10-23-2008
Pruning models you can use. -- rtrp.lua
Hand fixing some clearly broken animations for females. (shooting not addressed yet). -- animations.lua (debug/testing code commented out in: init.lua, admin.lua)
Nil fix for HiddenButton -- cl_init.lua
Attempt to fix hands swep being unholstered when respawning -- init.lua, shared.lua
Redid some tables to have values added with commas rather than needing entry names. -- cl_adminMenu.lua, cl_playerMenu.lua
Potential fix for music system disabling sound emitter entities. -- music.lua
Moving door concommands to doors.lua -- concmds.lua, doors.lua
Setting up a prop loading/saving system as a precursor to reattempting door saving system. -- propSaving.lua, init.lua (for catching remover and physgun moving)
Wow limit reaching code from TS doesn't use any sandbox internals, fixing phoenix to actually use that system rather than pretend to. -- GMcommands.lua, player_shared.lua
Limits are all phoenix now.
Positional saving via hooks and hook wrappers. -- propSaving.lua


10-22-2008
I put a revision number in the GM description for my help -- stop.telling.me.old.errors.i.fixed.damnit
Editing the set field/accfield system to only save if we set a string. MUCH MORE SANE. -- i.smarter.than.banana, player_data.lua
Tried using hooks on the init type of stuff, didn't work. -- init.lua :(
Learned you use csay for dedicated console to show up, couldn't reroute its "say" for some reason. Made "cs" as a booyah. -- admin.lua
Localized some menu items, god some of the names were awful, damn you luabanana. -- cl_playermenu.lua (and other places)
Edited the chat system to have OOC push through the PlayerSay system correctly without making console log redundant. -- cl_chat.lua, chat.lua


10-19-2008
Where'd 18 go?! I did stuff yesterday! wtf!!!! -.-
aaaaaaanwayz
fixed tooltrust saving, but not giving the tool (dumb me) -- init.lua
added admin_ooc for chaing ooc delay -- admin.lua, chat.lua
fixed a nil check in GetAccField, was doing a redundant check instead of checking a subfield -- player_data.lua

10-17-2008
Added admin chat. Uses "@"..text. -- chat.lua
Setting up music queue, play, and fade system. Neat. -- music.lua, init.lua, cl_adminMenu.lua
Music base code setup, concommand usage good for launch, gui not done. -- music.lua, cl_adminMenu.lua
Bugfix for checking steamid on door ownership clientside. Made their :SteamID() a NWString. -- cl_playermenu.lua, init.lua
Fixed ignoring sprint float again. -- init.lua
/ev for event and made it admin only. -- chat.lua
fixed admin_kick and admin_ban wanting a reason as 2nd/3rd arguement. made it optional. -- admin.lua
corrected function mis-name in admin_bring. -- admin.lua
new chatframe font -- cl_chat.lua
chatframe tabs remember only 50 items and remove them and retain scroll position. -- cl_chat.lua
Changed status box colors to red and black, adjusted for intensity, its kinda purdy. -- cl_hud.lua

10-16-2008
Woo svn.

10-14-2008
Lawl I rewrote my heap memory management allocater completely. -- rofl.wtf
Anywayz, finishing the item side of stuff. -- cl_adminMenu.lua
changed rp_createitem to admin_createitem -- concmds.lua moved to admin.lua
Added functions to transmit the serverside item table to the clients. -- admin.lua, cl_adminMenu.lua

10-13-2008
Added concmd.lua and admin.lua to the clientside include list. Should make them autocomplete options. -- cl_init.lua, init.lua
Added a check to not include admin.lua if the player is not an admin. -- admin.lua
Added a vgui for admins, will have 2 tabs, one for admin con commands, 1 for item creation. -- cl_adminMenu.lua
admin con commands tab done -- cl_adminMenu.lua
updated the chatcommand catch for "!" to try admin commands if the person is an admin. -- chat.lua

10-12-2008
Adding TS like admin concommands. -- admin.lua
Added CAKE.AdminLog(text), saves to data/CakeScript/logs/admin -- util.lua
Updated TODO list with more fun things. -- TODO.txt
moved the noclip override to admin.lua
edited cl_hud player info drawing to not draw info for cloaked, aka observe mode admins. -- cl_hud.lua
More admin commands, trying to see if I can get a cloaking effect from stargate stuff :D -- admin.lua
Yay stargate sudan effect! -- cl_init.lua (put the cloaking onThink there, screw you clientside!!!!)

10-9-2008
Finished setting up rp_useinvitem so that you can now use items from inventory GUI's. -- items.lua
Fixed weapon dropping. item name must be the same as the swep's name to work. In other words give different names to make undroppable one time use weapons. -- concmd.lua
Moved many GM commands to GMcommands.lua, not all, but ones that could be moved safely. -- GMcommands.lua
Brought over and adapted TS spawn ID on props system. But I only use 1 NW thing, not 3, hah! -- GMcommands.lua, cl_hud.lua

10-4-2008
Carrying over and converting the CSG2 char data loading method/functions, its more redundant. -- Loading.lua
Ya know, programming in c, java, lua, concurrently = mindfuck. -- me.making.mistakes
Loading system should work, tested existing data and with no data. -- Loading.lua
Updated help menu contents a bit just cause it needed doing. -- cl_playermenu.lua

9-27-2008
Writing a shell is easy. I have time for lua :D -- shell.cake
Made the adjustment to the status box, made it a lil more dynamic/colorful. -- cl_hud.lua
I'd do more, but nothing really interesting to me is on the TODO list, just tedious stuff. -- meh.another.time

9-26-2008
Boosted regen rate by a large multiplier, now gives 4 per sec, maybe should start that smoothing formula... -- util.lua
Added a check in the think timer to set their last jump if they are sprinting, old system appears to let them regen by
not detecting that the key was pushed, only setting on its initial press. fixed. -- util.lua
gm_atmoic, lord is it purdy, do want. -- purdy.map
Added 20 to duck speed in both tied and untied forms. -- init.lua
Watching stargate and programming huzzah! nerd.geek
Search work, mostly porting code from Lemonscript with minor mods. -- cl_search.lua, search.lua
Search works as far as I can tell, made some minor improvements. -- cl_search.lua, search.lua

9-20-2008
Setup early abstractions for infinite length chat system. -- cl_chat.lua, chat.lua
Setup placeholder chat system, will auto send chat of length 130 and puts /command at beginning right away. -- cl_chat.lua
Fixed bug where unloaded players would get chat frame nil errors and cause text to be glued on screen -- cl_chat.lua
Screw olden and all others, my script is beautiful!!! narcisist.pride
Learned, even though client sends 200+ char concmd, server side chat handling only receive ~130-150 chars, variable, don't know why. -- chat.lua
Changed "Assosciation" to "Ping" in f1 menu. Much more useful -- cl_playermenu.lua
I made a drawing of batman on really big paper with lines, it looks pretty epic. -- skills.at.everything
I love this song, wish I could find it http://www.youtube.com/watch?v=UNVK0psx9i0 -- russian.bass.hawt
If someone finds me that song they would be loved for a time. -- true.dat
Added wrong arg checking to admin commands to stop lua errors. -- admin.lua
Added a default spawn title "Fresh from the rift." -- concmd.lua

9-16-2008
Redid chat system, uses CAKE.SendChat( .... ) rather than sending umsg each time, changed to circumvent approximate 130-140 character umsg string max -- chat.lua
Redid all chat umsg calls. -- chat.lua chatcmds.lua
Fixed notify / replaced ChatPrint leftovers -- chat.lua chatcmds.lua
Worked on making all props capable of holding items if of a big enough size. -- search.lua cl_search.lua

9-15-2008
Olden... its like Des with a bad makeover.... gawd.... so much minge.... everywhere.... 14.year.olds.suck
Updated CAKE.Notify() to conform with new chat system - player_util.lua
Moved regen from think to timers. HUZZAH, reduced calculations GREATLY.... -- removed from think.lua
Old values: hpregen: +1/think, sprintregen: .05/think, new timer values: hp: 2/sec sprint: 1/sec -- moved to util.lua
I believe it reduced calculations by about 10x in terms of those items. -- my.cake.brings.all.the.yum.to.the.yard
Kinda wish we had our own mapper :/  flickering.map.is.annoying

9-14-2008
Olden, fun but, I dunno, murrrrrrrr -- loyalties.cry
Investigating how to implement being able to stash items into any prop -- brain.wtf.r.u.doin.go.to.sleep

9-9-2008
Gawd, wai no serva, cuz I get no halp no morez. I get no arrpeez, I get no halp, I get nuffink. -- goddamnit.all
Lets try sprint crap. Cuz I want to. -- lots of places
Turned off numerical display for hp/sprint -- cl_hud.lua
I need new RP friends. Bleh.
Hooked into think for regen of sprint, bleh. -- think.lua
Sprint and bar works. Ta da. -.- so bored
Edited hp/sprint bars to dissappear if less than 1 to not draw the bug of rounded box with 0 width. -- cl_hud.lua
Setting up health regen system.
Health regen system works. I'd say 1.5 things in onThink now, gawd its so bad. -- think.lua

9-5-2008
Referenced more TS code, added 1 line to send 3rd person shooting animation. -- cs_smg/shared.lua
Working on the hands swep. -- hands/shared.lua
Knocking works, punching should work in a superficial way -- hands/shared.lua

9-4-2008
Trying more infinite ammo swep stuff. -- cs_smg/shared.lua, concmd.lua
Got it to work, old code for reloadtimer was not working, but not on wiki as such. -- cs_smg/shared.lua
Changed internal save structure, tooltrust is per account, instead of per character. -- various places
Added meta:SetAccField and meta:GetAccField for global account setting of items. -- player_data.lua

9-3-2008
Removed include of daynight.lua, believe it was causing graphic artifacts that showed up on occasion -- init.lua
Attempting a health bar. -- cl_hud.lua
Code for sprint put in, commented out, not sure I want sprint. -- init.lua, cl_binds.lua, player_shared.lua
Fixed scoreboard odd sizing behavior -- cl_playermenu.lua
Changed items menu to that used by lemonscript per Atrum's request -- cl_playermenu.lua
Attempted infinite ammo no damage smg. Didn't work yet, idea for tommorrow -- cs_smg/shared.lua
Got all firing effects down pact, weapon kick, muzzle flash, shoot animation -- cs_smg/shared.lua

9-2-2008
Status area copied from TS. Shows money/title. -- cl_hud.lua
Modified chat frame to display partially with partial alpha. -- cl_chat.lua
I'm hungry. -- stomach.organ
Changed player info distance, to 50 for 255 alpha, and scales downwards by x*2 -- cl_hud.lua
Adjusted chatframe width placing, and height calculation for variable size text -- cl_chat.lua

9-1-2008
ChatFrame text breakup by word does work, was testing it with 1 254 char word, which fails. -- cl_chat.lua
Removed use of doorgroups, found it to be stupid. -- concmd.lua, cl_hud.lua
Doors should work. Converted and learned NWString start with value "". -- concmd.lua, cl_hud.lua
Hah, I had the wrong condition for recursive call to setting text, fixed. -- cl_chat.lua
Seems to be a 10 second delay, either on sending "say" or on sending umsg. I believe its on running say -- cl_chat.lua -- its clientside

8-31-2008
More chat frame work. Learned only way clients can send data is either concommands or convars.
Don't wanna do variable # convars. Using limited 254 char text.
Almost have Chat frame visibility 100% done. Come on baby!
CHAT FRAME WORKS BABEH!!!! WOOTNESS TO THE BEAUTY OF THE CODE AND THE GRACE OF THE HACKZ!!!!
-- need to fix the incoming message seperator, exeucutes, no errors, but does NOTHING -- cl_chat.lua
Redid door system, removed offline table, removed saving, switched owner to NWString -- doors.lua, concmd.lua, cl_hud.lua

8-30-2008
More chat frame work. Perfecting the text filter for clientside line breakup.
Trying to fix odd bug that after chatting cannot console or esc.

8-29-2008
meta:CheckLimit() added from TS, used in LimitReachedProcess -- player_data.lua
Got chat-frame auto scrolling to work finally. F. Yes. -- cl_chat.lua
Learned only single parenting for Derma objects, all tabs work now. -- cl_chat.lua
Multiline infinite (roughly) length string, handled clientside. -- cl_chat.lua

8-28-2008
Added the AddChat() client command to test sending text to the new chat gui. -- cl_chat.lua
Created chatcmds.lua to hold flagging and other non-chat sending commands for organization of the code. -- chatcmds.lua
Commented chatcmds.lua to make it clearer to others.
Added a call to DrawNewChat() when selecting a character, or finishing creating one. -- cl_playermenu.lua
Disabled tooltip on character selection so that they don't remain after picking a character. -- cl_playermenu.lua
Added a check for empty table in DoorSave() to prevent an overflow error. -- doors.lua
Added two more bind checks for the chatframe, to finalize later. -- cl_binds.lua
Added PlayerMenu:SetBackgroundBlur( true ). -- cl_playermenu.lua
Commented out ccmd "fadein" when calling "rp_finishcreate" because it only works in singleplayer cheats. -- concmd.lua
Set the default tab on the playerMenu to be the scoreboard when opened. -- cl_playermenu.lua

8-24-2008
More cl_chat.lua work to setup the gui/system.

8-23-2008
Attempting first try at building a new chat gui. *puts on a helmet* -- cl_chat.lua
Looked DEEP into gmod code. Learned tooltip can be disabled by setting it to false. Edited Main menu tabs and ModelSelectMenu -- cl_playermenu.lua
Left notes for tommorrow to work more on chatframe. Might work, I hope. :/

8-21-2008
Adding CHudChat and CHudWeaponSelection commented out to GM:HUDShouldDraw for future use -- cl_hud.lua

8-15-2008
*Sigh* OTA has put a wet blanket upon my fun again, the project burns yet again.
Stroke of exhaustion genius. Entity indexes for items embedded in the map are constant. Using that to
make loading/saving doors FAR easier than earlier find and set system, both in terms of complexity of code
and in strain of operations to perform. -- doors.lua, concmd.lua
Prettying up the door title display, it was technically placed in center of screen, but the text was left
aligned rather than center aligned. -- cl_hud.lua

7-23-2008
Gawd I'm tired. Let's hope I can code properly.
DoorSetupCheck hooking into OnEntityCreated. -- doors.lua
Learned cannot use ents.Getall() it causes stack overflow, regardless of saving or feeding directly into a for loop.
Reworked all code using ents.GetAll() to use table.Add() and ents.FindByClass()
..... It still overflowed. Reworking code for players to autoaquire doors. This'll get messy.
Gonna have it so that server DOES NOT auto acquire and generate a save for doors. Only doors that have been
interacted with by a player will be remembered, hence played long enough all doors on a map should become acquired.
Removed CAKE.SaveDoors() using doorCheck() instead because it does what I want with the new backend system. -- doors.lua
Atrum made things simple, fixed doors. -- next few lines are changes
Hooked into InitPostEntity with CAKE.LoadDoors. Fixed stack overflow errors. -- doors.lua
Learned the owner NWEntity doesn't return nil when set nil, but an ent that fails :IsValid(). Code updated. -- lots of places, concmd.lua, doors.lua, probably others
When screenpos'ing an ent was placing the text at the door's ent origin. Fixed by placing in middle of screen. -- cl_hud.lua
Other news, spawning doors with doors stool works and is detected corrently. Thanks to -- OnEntityCreated hook -- doors.lua
::Last did -- was partway through recoding the save function again to get around crashing from findIn* function.

7-19-2008
Doing some lil things before more door work.
Edited spawning props to be disallowed when tied up. -- GM:PlayerSpawnedProp init.lua
Added GM:GravGunOnDropped to prevent gravgun DM -- init.lua
Added GM:PhysgunDrop to prevent physgun flinging -- init.lua
Added GM:GravGunPunt to prevent more grav DM -- init.lua
Added GM:PhysgunPickup to set what can be physgun'd by who -- init.lua

7-18-2008
Reduced 2 lines of code by changing two sets of draw.Text to draw.SimpleTextOutlined. -- DrawTargetInfo cl_hud.lua 
Fixing code errors in door setup. -- various places, see 7-17
Changed from setting table values nil to using table.remove, returns the value, simplified code and actually works right.
Unhandled door spawning caused testing error on gm_ map, need to put in handling code for that.
Converted doors to use NWString for owner and title for determining ownership and title to print when looking at a door.

7-17-2008
Starting setup of the new door system. Saving/loading will be handled by functions in -- doors.lua
Changed purchase door checking in ccPurchaseDoor. -- concmd.lua
Commented out renting function for doors. -- concmd.lua
Edited ccOpenDoor to work with the new ownership system, coowners not added yet. -- concmd.lua
Rearranged code in ccUnLockDoor and ccLockDoor to improve efficiency. -- concmd.lua
Made ccPurchaseDoor transfer ownership to a coowner when unowning a door. -- concmd.lua

7-15-2008
Created GM:SetupMove to handle duck speeds. -- init.lua
Appears to be a gmod bug, walk and duck are always the same. Deal with it some other time more.
Thought experiment on doors. Load from file. Then check all ents for unhandled doors. Then hook into entity spawn system in case doors added.

7-14-2008
Trying to figure out why it keeps error bombing on character create. Makes no sense. -- fixed init.lua misuse of SetDefaultVars, moved to player_shared.lua
Working on setting correct view model draw/nodraw. -- hands shared.lua, holstertoggle animations.lua
Improved model selection menu, now should scroll and can add infinite models -- cl_playermenu.lua
Took "hands" off of neverAimed list. -- animations.lua
Aiming/unaiming animations work now! Booyah!!!!! And V_model
New speed setting code, duck speed doesn't set right yet. -- init.lua

7-13-2008
Working on fleshing out the hands swep. Added knocking and door ramming. -- shared.lua, player_util.lua
Set NWint LastDoorKick to default 0 on spawn. -- init.lua
Created function SetDefaultVars() to set default vars on spawn. Reduced connection menu timer from 5 to 3. -- init.lua
Created an smg weap to test. Does no damage yet. -- shared.lua
Working on adding scrollbar to the scoreboard. -- cl_playermenu.lua

7-12-2008
Well can't see whats so great about CSG2 other than its more confusing and not as well written. Using CS.
